curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/beneficial-owners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/beneficial-owners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/beneficial-owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"ssnLast4": "<string>",
"workEmailAddress": "<string>"
}
],
"nextPaginationToken": "<string>",
"prevPaginationToken": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}List beneficial owners
Retrieves beneficial owners (business stakeholders) for bank account applications. BANK callers see all stakeholders across their partner VSPs. PLATFORM callers see stakeholders for their visible organizations. When available, the last 4 digits of the SSN are returned via the ssnLast4 field.
Token types: APP, USER | Required scopes: beneficial_owner:read:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Headers
ID of the organization to perform this operation on behalf of. Required for BANK and PLATFORM app token callers targeting a specific organization. If omitted, the request uses the authenticated caller's own organization. Must be a valid non-empty UUID. Present but malformed values return 400.
Query Parameters
Number of items to return (default 25, max 100).
Opaque pagination token from a previous response.
Response
Beneficial owners retrieved successfully.
A paginated response containing a page of results and navigation tokens.
The items in the current page.
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.
Was this page helpful?